org.apache.poi.hslf.record

## Class OutlineTextRefAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.OutlineTextRefAtom

- All Implemented Interfaces:
    GenericRecord

      public final class OutlineTextRefAtom
      extends RecordAtom

  OEPlaceholderAtom (3998).
  What MSDN says about `OutlineTextRefAtom`:

  Appears in a slide to indicate a text that is already contained in the document, in a SlideListWithText containter. Sometimes slide texts are not contained within the slide container to be able to delay loading a slide and still display the title and body text in outline view.

  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OutlineTextRefAtom()` Create a new instance of `FontEntityAtom`
    `protected` | `OutlineTextRefAtom(byte[] source, int start, int len)` Build an instance of `OutlineTextRefAtom` from on-disk data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
    `int` | `getTextIndex()` Return text's index within the SlideListWithText container (0 for title, 1..n for the nth body).
    `void` | `setTextIndex(int idx)` Sets text's index within the SlideListWithText container (0 for title, 1..n for the nth body).
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutlineTextRefAtom

          protected OutlineTextRefAtom(byte[] source,
                                       int start,
                                       int len)

      Build an instance of `OutlineTextRefAtom` from on-disk data

    - #### OutlineTextRefAtom

          protected OutlineTextRefAtom()

      Create a new instance of `FontEntityAtom`

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Description copied from class: `Record`
      Returns the type (held as a little endian in bytes 3 and 4) that this class handles
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### setTextIndex

          public void setTextIndex(int idx)

      Sets text's index within the SlideListWithText container (0 for title, 1..n for the nth body).
      Parameters:
        `idx` - 0-based text's index

    - #### getTextIndex

          public int getTextIndex()

      Return text's index within the SlideListWithText container (0 for title, 1..n for the nth body).
      Returns:
        idx text's index

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.